/* Variables */
:root {
    --light-text: #FFFDFA;
    --dark-text: #0A0704;
    --dark-gray: #9D9D9D;
    --ligh-gray: #CCC9C3;
    --gold: #B1974E;
}

/* Basic elements */
html, body {
    height: 100%;
    background: linear-gradient(
        87deg,
        #3e3730 0%,
        #443e39 25%,
        #4a4846 75%,
        #484848 100%
    );
}

.content {
    margin-left: 10%;
    margin-right: 10%;
}

h1 {
    position: relative;
    text-align: center;
    font-family: playfair;
    font-weight: 500 !important;
    letter-spacing: 0.1em;
    font-size: 40px;
    padding-top: 50px !important;
    margin-bottom: 70px !important;
}

h1::after {
    content: "";
    position: absolute;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
    width: 70px;
    height: 2px;
    background-color: var(--gold);
}

h1.dark {
    color: var(--dark-text);
}

h1.light {
    color: var(--light-text);
}

h2 {
    font-family: playfair;
    letter-spacing: 0.1em;
    color: var(--gold) !important;
}

p {
    font-family: nunito;
    font-size: 20px;
    letter-spacing: 0.1em;
    color: var(--light-text);
}

p.dark {
    color: var(--dark-text);

}

p.intro {
    color: var(--ligh-gray);
    text-align: center;
    margin: 0 auto;
    max-width: 70%;
    margin-bottom: 80px;
    letter-spacing: 0px;
}

/* Navigation */

.navbar {
    font-family: nunito;
    align-items: center;
    height: auto;
    padding-bottom: 20px !important;
    padding-top: 0;
    background: linear-gradient(
        rgba(10, 7, 4, 0.35) 2%,
        rgba(10, 7, 4, 0.25) 50%,
        rgba(10, 7, 4, 0.15) 75%,
        rgba(10, 7, 4, 0.05) 90%,
        rgba(10, 7, 4, 0) 100%
    );
}

.nav-link {
    color: var(--ligh-gray) !important;
    font-size: 18px !important;
    display: inline-block;
    white-space: nowrap; 
    transition: transform 0.4s, font-size 0.4s;
}

.nav-link:hover {
    color: var(--gold) !important;
}

.navbar-toggler {
    position: relative;
    right: 0px !important;
    border: none !important;
    margin-top: 30px;
    margin-bottom: 20px;
    margin-right: 8%;
}

.navbar-toggler:focus {
    outline: none !important;
    box-shadow: none !important;
}

.navbar-toggler[aria-expanded="true"] .menu-icon {
    content: url('assets/menu-active.svg') !important;
}

.navbar-collapse {
    align-items: flex-end !important;
}

.navbar-nav {
    align-items: flex-end;
    text-align: right;
    margin-right: 10%;
    margin-left: 10%;
}

/* Logo */

.si-logo {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 80px;
    margin-bottom: 60px;
    width: 70%;
    max-width: 700px;
}

.mobile-logo,
.mobile-slogan {
	display: none;
}

@media (max-width: 768px) {
	.si-logo {
		display: none;
	}

	.mobile-slogan {
		display: block;
		text-align: center;
		margin-top: 30px;
		margin-bottom: 40px;
	}

	.mobile-logo {
		display: block;
		position: absolute;
		left: 0px;
		top: 0px;
		width: 40%;
        margin-top: 40px;
        margin-left: 10%;
	}
}

/* Projects section */

.projects-section {
    height: auto;
    align-items: center !important;
}

.white-bg {
    background-color: #F3F3F3;
}

.card {
    background-color: #5D5D5D !important;
    width: 85% !important;
    height: 360px !important;
    max-width: 400px;
    overflow: hidden;
    border: none !important;
    margin: auto;
    margin-bottom: 40px;
    box-shadow: 0px 2px 25px 4px rgba(0,0,0,0.25);
    -webkit-box-shadow: 0px -4px 25px 3px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 2px 25px 4px rgba(0,0,0,0.25);
    transition:.4s;
}

.card:hover{
    transform:scale(1.07);
    box-shadow: 0px 2px 25px 4px rgba(0,0,0,0.5);
    -webkit-box-shadow: 0px -4px 25px 3px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 2px 25px 4px rgba(0,0,0,0.5);
}

.card-body {
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: 0 !important;
    width: 100% !important;
    height: 40% !important;
    position: absolute;
    padding-left: 25px !important;
    padding-right: 25px !important;
    text-align: center;
    transition: top 0.4s, height 0.4s;
}

.card:hover .card-body {
    top: 56% !important;
    height: 44% !important;
}

.card-img-overlay {
    position: absolute !important;
    top: 60% !important;
    min-height: 30%;
    transition: top 0.4s, height 0.4s;
}

.card-body p {
    color: #3A3A3A;
    font-size: 18px;
    line-height: 22px;
}

.card-text {
    letter-spacing: 0px;
}

.position-img {
    position: absolute;
	left: 55%;
	top: 9%;
	width: auto !important;
	height: 70%;
    transition: transform 0.4s;
}

.card:hover .position-img {
	transform: translateX(-5%) scale(1.01);
}

.position-img.car {
	left: 35%;
	top: 20%;
	height: 50%;
}

.card:hover .position-img.car {
	transform: translateX(-1.5%) scale(1.01);
}

.project-logo {
    position: absolute;
}

.project-logo.ceske-mince {
    left: 5% !important;
}

.project-logo.sb {
    top: 13%;
}

.logo-wrapper {
    height: 60%;
    display: flex;
	align-items: center;
}

.center-vertical {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

/* Information section */

.horizontal-line {
    color: var(--dark-gray);
}

.row p {
    margin-top: 0px;
    margin-bottom: 0px;
}

.bank-information {
    max-width: 1500px;
    margin-bottom: 80px;
}

.bank-information p {
    margin-bottom: 10px;
    margin-top: 10px;
}

/* Footer */

.hr-footer {
    color: var(--dark-gray);
    border-width: 3px;
    margin-bottom: 80px;
}

.si-logo-sticker {
    max-width: 250px;
    height: auto;
    margin-right: 60px;
    margin-bottom: 60px;
}

.footer {
    margin-bottom: 100px;
    background: linear-gradient(
        rgba(10, 7, 4, 0) 2%,
        rgba(10, 7, 4, 0.05) 10%,
        rgba(10, 7, 4, 0.15) 25%,
        rgba(10, 7, 4, 0.25) 50%,
        rgba(10, 7, 4, 0.35) 100%
    );
}

#phone-icon {
    position: relative;
    top: -2px;
}

#mail-icon {
    position: relative;
    top: -2px;
}

.copyright {
    margin-top: 40px !important;
    margin-bottom: 100px !important;
    color: var(--dark-gray);
}

.gray {
    color: var(--ligh-gray)
}